package com.shining.cloud.mapper.information;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.shining.cloud.pojo.information.SteadyMsg;
import com.shining.cloud.pojo.information.SteadyMsgDetail;

import tk.mybatis.mapper.common.Mapper;

/**
 * @description: 稳态消息Mapper
 * @author: gbl
 **/

public interface SteadyMsgMapper extends Mapper<SteadyMsg> {
	public List<SteadyMsg> getSteadyState(@Param("userIndex")String userIndex);
	
	public Integer getSteadyUnState(@Param("userIndex")String userIndex);
	
	public void updateSteadyState(@Param("steadyIndex")String steadyIndex);
	
	public SteadyMsgDetail getName(@Param("lineIndexs")Integer lineIndexs);
}
